# Uses of Class
org.eclipse.emf.cdo.common.id.CDOIDReference

Packages that use CDOIDReference
Package
Description
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.

## Uses of CDOIDReference in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOIDReference
Modifier and Type
Method
Description
`CDOIDReference`
CDODataInput.`readCDOIDReference()`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDOIDReference
Modifier and Type
Method
Description
`void`
CDODataOutput.`writeCDOIDReference(CDOIDReference idReference)`

## Uses of CDOIDReference in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return types with arguments of type CDOIDReference
Modifier and Type
Method
Description
`List<CDOIDReference>`
IStoreAccessor.CommitContext.`getXRefs()`

## Uses of CDOIDReference in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOIDReference
Modifier and Type
Method
Description
`CDOIDReference`
CDODataInputImpl.`readCDOIDReference()`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDOIDReference
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDOIDReference(CDOIDReference idReference)`